Callisto4Bootloader: ENET_Type Struct Reference

Callisto4Bootloader

Data Fields
ENET_Type Struct Reference
Mapping Information » Edma_request » Iomuxc_pads » Device Peripheral Access Layer » ENET Peripheral Access Layer

`#include <MIMXRT1062.h>`

## Data Fields

uint8_t | RESERVED_0 [4]
__IO uint32_t | EIR
__IO uint32_t | EIMR
uint8_t | RESERVED_1 [4]
__IO uint32_t | RDAR
__IO uint32_t | TDAR
uint8_t | RESERVED_2 [12]
__IO uint32_t | ECR
uint8_t | RESERVED_3 [24]
__IO uint32_t | MMFR
__IO uint32_t | MSCR
uint8_t | RESERVED_4 [28]
__IO uint32_t | MIBC
uint8_t | RESERVED_5 [28]
__IO uint32_t | RCR
uint8_t | RESERVED_6 [60]
__IO uint32_t | TCR
uint8_t | RESERVED_7 [28]
__IO uint32_t | PALR
__IO uint32_t | PAUR
__IO uint32_t | OPD
__IO uint32_t | TXIC
uint8_t | RESERVED_8 [12]
__IO uint32_t | RXIC
uint8_t | RESERVED_9 [20]
__IO uint32_t | IAUR
__IO uint32_t | IALR
__IO uint32_t | GAUR
__IO uint32_t | GALR
uint8_t | RESERVED_10 [28]
__IO uint32_t | TFWR
uint8_t | RESERVED_11 [56]
__IO uint32_t | RDSR
__IO uint32_t | TDSR
__IO uint32_t | MRBR
uint8_t | RESERVED_12 [4]
__IO uint32_t | RSFL
__IO uint32_t | RSEM
__IO uint32_t | RAEM
__IO uint32_t | RAFL
__IO uint32_t | TSEM
__IO uint32_t | TAEM
__IO uint32_t | TAFL
__IO uint32_t | TIPG
__IO uint32_t | FTRL
uint8_t | RESERVED_13 [12]
__IO uint32_t | TACC
__IO uint32_t | RACC
uint8_t | RESERVED_14 [56]
uint32_t | RMON_T_DROP
__I uint32_t | RMON_T_PACKETS
__I uint32_t | RMON_T_BC_PKT
__I uint32_t | RMON_T_MC_PKT
__I uint32_t | RMON_T_CRC_ALIGN
__I uint32_t | RMON_T_UNDERSIZE
__I uint32_t | RMON_T_OVERSIZE
__I uint32_t | RMON_T_FRAG
__I uint32_t | RMON_T_JAB
__I uint32_t | RMON_T_COL
__I uint32_t | RMON_T_P64
__I uint32_t | RMON_T_P65TO127
__I uint32_t | RMON_T_P128TO255
__I uint32_t | RMON_T_P256TO511
__I uint32_t | RMON_T_P512TO1023
__I uint32_t | RMON_T_P1024TO2047
__I uint32_t | RMON_T_P_GTE2048
__I uint32_t | RMON_T_OCTETS
uint32_t | IEEE_T_DROP
__I uint32_t | IEEE_T_FRAME_OK
__I uint32_t | IEEE_T_1COL
__I uint32_t | IEEE_T_MCOL
__I uint32_t | IEEE_T_DEF
__I uint32_t | IEEE_T_LCOL
__I uint32_t | IEEE_T_EXCOL
__I uint32_t | IEEE_T_MACERR
__I uint32_t | IEEE_T_CSERR
__I uint32_t | IEEE_T_SQE
__I uint32_t | IEEE_T_FDXFC
__I uint32_t | IEEE_T_OCTETS_OK
uint8_t | RESERVED_15 [12]
__I uint32_t | RMON_R_PACKETS
__I uint32_t | RMON_R_BC_PKT
__I uint32_t | RMON_R_MC_PKT
__I uint32_t | RMON_R_CRC_ALIGN
__I uint32_t | RMON_R_UNDERSIZE
__I uint32_t | RMON_R_OVERSIZE
__I uint32_t | RMON_R_FRAG
__I uint32_t | RMON_R_JAB
uint32_t | RMON_R_RESVD_0
__I uint32_t | RMON_R_P64
__I uint32_t | RMON_R_P65TO127
__I uint32_t | RMON_R_P128TO255
__I uint32_t | RMON_R_P256TO511
__I uint32_t | RMON_R_P512TO1023
__I uint32_t | RMON_R_P1024TO2047
__I uint32_t | RMON_R_P_GTE2048
__I uint32_t | RMON_R_OCTETS
__I uint32_t | IEEE_R_DROP
__I uint32_t | IEEE_R_FRAME_OK
__I uint32_t | IEEE_R_CRC
__I uint32_t | IEEE_R_ALIGN
__I uint32_t | IEEE_R_MACERR
__I uint32_t | IEEE_R_FDXFC
__I uint32_t | IEEE_R_OCTETS_OK
uint8_t | RESERVED_16 [284]
__IO uint32_t | ATCR
__IO uint32_t | ATVR
__IO uint32_t | ATOFF
__IO uint32_t | ATPER
__IO uint32_t | ATCOR
__IO uint32_t | ATINC
__I uint32_t | ATSTMP
uint8_t | RESERVED_17 [488]
__IO uint32_t | TGSR
struct {
__IO uint32_t ENET_Type::TCSR
__IO uint32_t ENET_Type::TCCR
} | CHANNEL [4]

## Detailed Description

ENET - Register Layout Typedef

Definition at line 16788 of file MIMXRT1062.h.

The documentation for this struct was generated from the following file:

- device/MIMXRT1062.h